<?php

namespace App\Http\Controllers;

use App\Models\deportista;
use GuzzleHttp\Psr7\Request as Psr7Request;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;


class JugadorController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()

    {

        

        //otra forma de hacer la consulta
        
         $rut = trim(request('rut')); // trim quita los espacios en blanco
         $jugadores=DB::table('deportistas')
         ->select('id','cedula','nombre','fecha_nacimiento','dia_nacimiento','mes_nacimiento','ano_nacimiento','sexo','edad','serie','club','procedencia','sancion','imagen')
         ->where('cedula','LIKE',$rut)//busca por cedula (si se le agrega '%' busca por cualquier parte de la cedula)
        // // ->orderBy('nombre')
        ->get();

         //$jugadores=deportista::find($id); para buscar directo desde la base de datos por id

        return view('inicio', compact('jugadores', 'rut'));



    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(Request $serie)
    {

    
        //otra forma de hacer la consulta
        $serie=trim($serie->get('serie'));//trim quita los espacios en blanco
        $jugadores=DB::table('deportistas')
        ->select('id','cedula','nombre','fecha_nacimiento','dia_nacimiento','mes_nacimiento','ano_nacimiento','sexo','edad','serie','club','procedencia','sancion','imagen')
        ->where('serie','LIKE',$serie)//busca por cedula (si se le agrega '%' busca por cualquier parte de la cedula)
        ->orderBy('nombre')
        ->get();

        // $jugadores=deportista::find($id); para buscar directo desde la base de datos por id

        return view('consulta', compact('jugadores', 'serie'));
        
   }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
